<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.manillaTemperatura.home.createOrEditLabel"
          data-cy="TemperaturaCreateUpdateHeading"
          v-text="$t('gatewayApp.manillaTemperatura.home.createOrEditLabel')"
        >
          Create or edit a Temperatura
        </h2>
        <div>
          <div class="form-group" v-if="temperatura.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="temperatura.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaTemperatura.temperatura')" for="temperatura-temperatura"
              >Temperatura</label
            >
            <input
              type="number"
              class="form-control"
              name="temperatura"
              id="temperatura-temperatura"
              data-cy="temperatura"
              :class="{ valid: !$v.temperatura.temperatura.$invalid, invalid: $v.temperatura.temperatura.$invalid }"
              v-model.number="$v.temperatura.temperatura.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaTemperatura.fechaRegistro')" for="temperatura-fechaRegistro"
              >Fecha Registro</label
            >
            <div class="d-flex">
              <input
                id="temperatura-fechaRegistro"
                data-cy="fechaRegistro"
                type="datetime-local"
                class="form-control"
                name="fechaRegistro"
                :class="{ valid: !$v.temperatura.fechaRegistro.$invalid, invalid: $v.temperatura.fechaRegistro.$invalid }"
                :value="convertDateTimeFromServer($v.temperatura.fechaRegistro.$model)"
                @change="updateInstantField('fechaRegistro', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaTemperatura.user')" for="temperatura-user">User</label>
            <select class="form-control" id="temperatura-user" data-cy="user" name="user" v-model="temperatura.user">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="temperatura.user && userOption.id === temperatura.user.id ? temperatura.user : userOption"
                v-for="userOption in users"
                :key="userOption.id"
              >
                {{ userOption.login }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.temperatura.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./temperatura-update.component.ts"></script>
